<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Pengadaan Barang</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Approval Pengadaan Barang</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <a th:href="@{/approval/pengadaanAset/list}" class="btn btn-primary btn-block">Pengadaan Barang (<span th:text="${jumlahApproval[0]}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/peminjamanSapras/ruangan}" class="btn btn-secondary btn-block">Peminjaman Ruangan (<span th:text="${jumlahApprovalRuangan}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/peminjamanSapras/kendaraan}" class="btn btn-secondary btn-block">Peminjaman Kendaraan (<span th:text="${jumlahApprovalKendaraan}"></span>)</a>
                                </div>
                                <div class="col-md-3">
                                    <a th:href="@{/approval/perbaikanSapras/list}" class="btn btn-secondary btn-block">Perbaikan Sapras</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body" sec:authorize="hasAuthority('VIEW_UMUM')">
                            <div class="row">
                                <div class="col-md-12">
                                    <a th:href="@{/approval/assetProcurement/listApproved}" class="btn btn-success"><b><i class="fa fa-check-circle"></i> Pengadaan barang yang sudah disetujui</b></a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Pengaju</th>
                                        <th>Barang yang diajukan</th>
                                        <th>Spek Aset</th>
                                        <th>Jumlah</th>
                                        <th>Tanggal Pengajuan</th>
                                        <th>Lampiran</th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${listApproval}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data[2]}"></td>
                                        <td th:text="${data[3]}"></td>
                                        <td th:text="${data[4]}"></td>
                                        <td th:text="${data[5] + ' ' + data[6]}"></td>
                                        <td th:text="${data[7]}"></td>
                                        <td>
                                            <a class="btn btn-primary btn-sm" th:if="${data[9] != null}" th:href="@{/masters/pengadaan/{lampiran}/(lampiran = ${data[0]})}">
                                                Lihat Lampiran
                                            </a>
                                        </td>
                                        <td>
                                            <form th:action="@{/approval/pengadaanAset/save(asetPengadaan = ${data[0]}, asetPengadaanApproval = ${data[1]})}" method="post">
                                                <button type="submit" class="btn btn-success btn-sm">Approved</button>
                                            </form>
                                        </td>
                                        <td>
                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data[0]}">Rejected</button>

                                            <div class="modal fade" th:id="${'exampleModal' + data[0]}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/assetProcurement/rejected}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Rejected</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Nama Pengaju</label>
                                                                    <input type="hidden" name="id" th:value="${data[0]}">
                                                                    <input type="text" disabled class="form-control" th:value="${data[2]}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Barang</label>
                                                                    <input type="text" disabled class="form-control" th:value="${data[3]}">
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Keterangan Rejected</label>
                                                                    <textarea class="form-control" name="keteranganDitolak" rows="4" cols="50"></textarea>
                                                                </div>

                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                <button type="submit" class="btn btn-danger">Rejected</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>